Subject: [PATCH] clk: Use a separate struct for holding init data.

From: [email-masked] (Mark Brown)
Date: Tue, 1 May 2012 19:19:23 +0100

On Tue, May 01, 2012 at 11:03:57AM -0700, Saravana Kannan wrote:

> Sorry for the annoyance I seem to have caused. I too have been
> trying to get this in for a while before the other platforms started
> using the new framework. Not everyone was free at the same time and
> it's taken longer that I would have wished for.

> I did my best to limit the changes that would be needed without
> making my patch useless. Appreciate your understanding.

To be honest it doesn't look like your patch is a particular issue here
- there's wider process problems, for example we've managed to go
through most of the release cycle and so far the only changes showing up
in -next are:

Viresh Kumar (6):
      SPEAr: clk: Add VCO-PLL Synthesizer clock
      SPEAr: clk: Add Auxiliary Synthesizer clock
      SPEAr: clk: Add Fractional Synthesizer clock
      SPEAr: clk: Add General Purpose Timer Synthesizer clock
      SPEAr: Switch to common clock framework
      SPEAr13xx: Add common clock framework support

Mark Brown (1):
      ARM: 7376/1: clkdev: Implement managed clk_get()

Sascha Hauer (1):
      clk: add a fixed factor clock

viresh kumar (1):
      ARM: 7392/1: CLKDEV: Optimize clk_find()

and obviously there's quite a bit more work which has been going on.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20120501/612a36bc/attachment.sig>